Bug 1055169 - Foreman certificate error while accessing reinstalled foreman server
Summary: Foreman certificate error while accessing reinstalled foreman server
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: foreman-installer
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Dominic Cleal
QA Contact: Omri Hochman
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 11:44 UTC by Ofer Blaut
Modified: 2016-09-29 13:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:32:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ofer Blaut 2014-01-19 11:44:45 UTC
Description of problem:

Foreman certificate error while accessing re-installed foreman server

"Error code: sec_error_reused_issuer_and_serial " ( i have used Firefox )

This happens since foreman certificate is added as exception, which should not be .
 

Version-Release number of selected component (if applicable):

foreman-installer-1.3.0-1.el6sat.noarch
rubygem-foreman_api-0.1.6-1.el6sat.noarch
openstack-foreman-installer-1.0.3-1.el6ost.noarch



How reproducible:


Steps to Reproduce:
1.install foreman , access using the web
2.re-install foreman and access the web again
3.Error should be seen on the web browser 

Actual results:

Error while trying to access the WEB.

This will not happen on Horizon and other products being re-installed 

Expected results:


Additional info:
Workaround:
Go to Firefox's preferences, Advanced tab, Encryption tab, click View
Certificates, Servers tab and delete any entries for your server's
hostname in that list.

Close the browser completely, reopen and then hopefully it'll prompt you
again to add an exception.

Comment 1 Tzach Shefi 2014-03-19 08:25:12 UTC
Ran into same problem, in my case deleting certificate and restarting Firefox didn't fix. 

Found a link which mentioned I should edit: cert_override.txt, no such file found. Then suggested deleting ~/.mozilla/firefox/<profile folder>/cert8.db 
Restarted Firefox still didn't work. 

Clearing Firefox's history eventually fixed my problem.

Comment 2 Jaromir Coufal 2016-09-29 13:32:08 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.